import { sha256 } from 'js-sha256';

/**
 * Получает URL аватарки через Gravatar по email
 * @param email - Email пользователя
 * @returns URL аватарки
 */
export function getGravatarURL(email: string | undefined): string | undefined {
  if (!email) return undefined;
  
  const address = String(email).trim().toLowerCase();
  const hash = sha256(address);

  return `https://www.gravatar.com/avatar/${hash}?d=robohash`;
} 